From e702b8e4258bfd78139f567ec26153ec2b0fb647 Mon Sep 17 00:00:00 2001
From: sezero <sezero@users.sourceforge.net>
Date: Sun, 22 Jan 2017 11:24:02 +0300
Subject: [PATCH 9/9] add a Watcom makefile to build an OS/2 dll

---
 src/libFLAC/Makefile.os2 | 66 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)
 create mode 100644 src/libFLAC/Makefile.os2

diff --git a/src/libFLAC/Makefile.os2 b/src/libFLAC/Makefile.os2
new file mode 100644
index 0000000..ab4e8b6
--- /dev/null
+++ b/src/libFLAC/Makefile.os2
@@ -0,0 +1,66 @@
+# Makefile for OS/2 using Watcom compiler.
+# wmake -f Makefile.os2
+
+CPPFLAGS=-DHAVE_INTTYPES_H -DHAVE_STDINT_H -DHAVE_SYS_PARAM_H
+CPPFLAGS+= -DFLAC_API_EXPORTS -DFLAC__CPU_IA32 -DFLAC__HAS_NASM -DFLAC__USE_3DNOW -DSIZEOF_VOIDP=4 -DFLAC__ALIGN_MALLOC_DATA
+CPPFLAGS+= -DNDEBUG
+CPPFLAGS+= -DENABLE_64_BIT_WORDS=0 -DFLAC__HAS_X86INTRIN=0
+CPPFLAGS+= -DFLAC__HAS_OGG=1
+
+CFLAGS = -zq -bt=os2 -bm -fp5 -fpi87 -mf -oeatxh -w4 -ei -j -zp8
+# -5s  :  Pentium stack calling conventions.
+# -5r  :  Pentium register calling conventions.
+CFLAGS+= -5s
+# for DLL:
+CFLAGS+= -bd
+
+LIBS=ogg.lib
+
+.SUFFIXES:
+.SUFFIXES: .obj .c .nasm
+
+DLLNAME=FLAC.dll
+EXPNAME=FLAC.exp
+LIBNAME=FLAC.lib
+LIBSTATIC=FLAC_static.lib
+
+COMPILE=wcc386 $(CFLAGS) $(CPPFLAGS) $(INCLUDES)
+
+OBJ=cpu_asm.obj fixed_asm.obj lpc_asm.obj bitmath.obj bitreader.obj cpu.obj crc.obj fixed.obj float.obj format.obj lpc.obj md5.obj memory.obj metadata_iterators.obj metadata_object.obj stream_decoder.obj ogg_decoder_aspect.obj ogg_helper.obj ogg_mapping.obj window.obj
+OBJ+= bitwriter.obj ogg_encoder_aspect.obj stream_encoder.obj stream_encoder_framing.obj
+
+all: $(DLLNAME)
+
+.SUFFIXES:
+.SUFFIXES: .obj .c .asm .nasm
+
+$(DLLNAME): $(OBJ)
+	wlink NAM $@ SYSTEM os2v2_dll INITINSTANCE TERMINSTANCE LIBR {$(LIBS)} FIL {$(OBJ)} OPTION IMPF=$(EXPNAME)
+	wlib -q -b -n -inn -pa -s -t -zld -ii -io $(LIBNAME) +$(DLLNAME)
+
+.c.obj:
+	$(COMPILE) -fo=$^@ $<
+
+.nasm: ia32
+.nasm.obj:
+	nasm -Iia32/ -f obj -d__OS2__  -o $^@ $<
+
+!ifndef __UNIX__
+INCLUDES=-I. -I.\include -I..\..\include
+CPPFLAGS+= -DPACKAGE_VERSION="1.3.2"
+distclean: clean .symbolic
+	@if exist $(DLLNAME) del $(DLLNAME)
+	@if exist $(LIBNAME) del $(LIBNAME)
+	@if exist $(EXPNAME) del $(EXPNAME)
+	@if exist $(LIBSTATIC) del $(LIBSTATIC)
+clean: .symbolic
+	@if exist *.obj del *.obj
+!else
+INCLUDES=-I. -I./include -I../../include
+CPPFLAGS+= -DPACKAGE_VERSION=\"1.3.2\"
+distclean: clean .symbolic
+	rm -f $(LIBSTATIC) $(DLLNAME) $(LIBNAME) $(EXPNAME)
+clean: .symbolic
+	rm -f *.obj
+!endif
+
-- 
1.8.5.5

